/**
 * Created by kbarbounakis on 8/20/15.
 */
/**
 * @constructs {OracleAdapter}
 */
var OracleAdapter = require('./../index').OracleAdapter,
    util = require("util");
describe('Schema Tests', function() {
    var options = {
        host:'192.168.2.40',
            port:1521,
            user:'node',
            password:'s3cr3t',
            schema:'node',
            instance:'XE'
    };
   it('#should open and close db', function(done) {
       var db = new OracleAdapter(options);
       db.open(function(err) {
           if (err) { return done(err); }
           db.close(function() {
               done();
           });
       })
   });
    it('#should search for table', function(done) {
        var db = new OracleAdapter(options);
        db.open(function(err) {
            if (err) { return done(err); }
            db.table('customers').exists(function(err, result) {
                if (err) { return done(err); }
                util.log('Table [customers] exists = ' + result.toString() + '\n');
                db.close(function() {
                    done();
                });
            });
        })
    });
    it('#should get table columns', function(done) {
        var db = new OracleAdapter(options);
        db.open(function(err) {
            if (err) { return done(err); }
            db.table('customers').columns(function(err, result) {
                if (err) { return done(err); }
                util.log('Table [customers] Columns = ' + JSON.stringify(result) + '\n');
                db.close(function() {
                    done();
                });
            });
        })
    });
});